Package ghidra.framework.main

# Class DataTreeDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.framework.main.AbstractDataTreeDialog
ghidra.framework.main.DataTreeDialog

All Implemented Interfaces:
  `ActionContextProvider`, `GTreeSelectionListener`, `StatusListener`, `TaskListener`, `ActionListener`, `EventListener`

Direct Known Subclasses:
  `ProgramFileChooser`

public class DataTreeDialog extends AbstractDataTreeDialog
Dialog to open or save domain data items to a new location or name.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DataTreeDialogType`
  `CHOOSE_FOLDER`
  `static final DataTreeDialogType`
  `CREATE`
  `static final DataTreeDialogType`
  `OPEN`
  `static final DataTreeDialogType`
  `SAVE`

  ### Fields inherited from class ghidra.framework.main.AbstractDataTreeDialog

  `HEIGHT, treePanel, WIDTH`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTreeDialog(Component parent, String title, DataTreeDialogType type)`
  Construct a new DataTreeDialog for the active project.
  `DataTreeDialog(Component parent, String title, DataTreeDialogType type, DomainFileFilter filter)`
  Construct a new DataTreeDialog for the active project.
  `DataTreeDialog(Component parent, String title, DataTreeDialogType type, DomainFileFilter filter, Project project)`
  Construct a new DataTreeDialog for the given project.

- ## Method Summary

  ### Methods inherited from class ghidra.framework.main.AbstractDataTreeDialog

  `actionPerformed, addOkActionListener, addTreeListeners, buildDataTreePanel, cancelCallback, close, getActionContext, getDomainFile, getDomainFolder, getNameText, getTree, initializeFocusedComponent, okCallback, selectDomainFile, selectFolder, setNameText, setSearchText, setSelectedFolder, setTreeSelectionMode, show, showComponent, valueChanged, wasCancelled`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPEN

    public static final DataTreeDialogType OPEN

  - ### SAVE

    public static final DataTreeDialogType SAVE

  - ### CHOOSE_FOLDER

    public static final DataTreeDialogType CHOOSE_FOLDER

  - ### CREATE

    public static final DataTreeDialogType CREATE

- ## Constructor Details

  - ### DataTreeDialog

    public DataTreeDialog(Component parent, String title, DataTreeDialogType type)
    Construct a new DataTreeDialog for the active project. This chooser will show all project files and/or folders within the active project only. Broken and external links will not be shown. If different behavior is required a filter should be specified using the other constructor.
    Parameters:
      `parent` - dialog's parent
      `title` - title to use
      `type` - specify OPEN, SAVE, CHOOSE_FOLDER, CHOOSE_USER_FOLDER, or CREATE
    Throws:
      `IllegalArgumentException` - if invalid type is specified

  - ### DataTreeDialog

    public DataTreeDialog(Component parent, String title, DataTreeDialogType type, DomainFileFilter filter)
    Construct a new DataTreeDialog for the active project.
    Parameters:
      `parent` - dialog's parent
      `title` - title to use
      `type` - specify OPEN, SAVE, CHOOSE_FOLDER, or CREATE
      `filter` - filter used to control what is displayed in the data tree. See static implementations provided by `DomainFileFilter` and a more tailored `DefaultDomainFileFilter`.
    Throws:
      `IllegalArgumentException` - if invalid type is specified

  - ### DataTreeDialog

    public DataTreeDialog(Component parent, String title, DataTreeDialogType type, DomainFileFilter filter, Project project)
    Construct a new DataTreeDialog for the given project.
    Parameters:
      `parent` - dialog's parent
      `title` - title to use
      `type` - specify OPEN, SAVE, CHOOSE_FOLDER, or CREATE
      `filter` - filter used to control what is displayed in the data tree. See static implementations provided by `DomainFileFilter` and a more tailored `DefaultDomainFileFilter`.
      `project` - the project to browse
    Throws:
      `IllegalArgumentException` - if invalid type is specified